org.eclipse.microprofile.fault.tolerance.tck.metrics.util

## Interface MetricRegistryProxy

    public interface MetricRegistryProxy

Interface which includes the methods we need to call on MetricRegistry

This allows us to proxy these calls so that this code can run against MP Metrics 2.3 and MP Metrics 3.0 where MetricRegistry was changed from an abstract class to an interface

### Method Summary

All Methods Instance Methods Abstract Methods
`SortedMap<org.eclipse.microprofile.metrics.MetricID,org.eclipse.microprofile.metrics.Counter>` `getCounters()`
`SortedMap<org.eclipse.microprofile.metrics.MetricID,org.eclipse.microprofile.metrics.Gauge>` `getGauges()`
`Map<String,org.eclipse.microprofile.metrics.Metadata>` `getMetadata()`
`Map<org.eclipse.microprofile.metrics.MetricID,org.eclipse.microprofile.metrics.Metric>` `getMetrics()`

### Method Detail

#### getMetrics

    Map<org.eclipse.microprofile.metrics.MetricID,org.eclipse.microprofile.metrics.Metric> getMetrics()

#### getCounters

    SortedMap<org.eclipse.microprofile.metrics.MetricID,org.eclipse.microprofile.metrics.Counter> getCounters()

#### getGauges

    SortedMap<org.eclipse.microprofile.metrics.MetricID,org.eclipse.microprofile.metrics.Gauge> getGauges()

#### getMetadata

    Map<String,org.eclipse.microprofile.metrics.Metadata> getMetadata()